Package com.io7m.coffeepick.adoptopenjdk_v3

# Class AOJRepository

java.lang.Object
com.io7m.coffeepick.adoptopenjdk_v3.AOJRepository

All Implemented Interfaces:
  `RuntimeRepositoryType`

    public final class AOJRepository
    extends java.lang.Object
    implements RuntimeRepositoryType

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static RuntimeRepositoryType` | `create​(net.adoptopenjdk.v3.api.AOV3ClientType client, RuntimeRepositoryProviderType provider, RuntimeRepositoryContextType context)` |
  `RuntimeRepositoryDescription` | `description()` |
  `io.reactivex.rxjava3.core.Observable<RuntimeRepositoryEventType>` | `events()` |
  `RuntimeRepositoryProviderType` | `provider()` |
  `java.util.Map<java.lang.String,​RuntimeDescription>` | `runtimes()` | Obtain a read-only map of the available runtimes in the repository.
  `void` | `update​(java.util.function.BooleanSupplier cancelled)` | Update the repository.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### create

    public static RuntimeRepositoryType create​(net.adoptopenjdk.v3.api.AOV3ClientType client, RuntimeRepositoryProviderType provider, RuntimeRepositoryContextType context) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### events

    public io.reactivex.rxjava3.core.Observable<RuntimeRepositoryEventType> events()
    Specified by:
      `events` in interface `RuntimeRepositoryType`
    Returns:
      A stream of events from the repository

  - ### provider

    public RuntimeRepositoryProviderType provider()
    Specified by:
      `provider` in interface `RuntimeRepositoryType`
    Returns:
      The repository provider

  - ### update

    public void update​(java.util.function.BooleanSupplier cancelled) throws java.lang.Exception, java.util.concurrent.CancellationException
    Description copied from interface: `RuntimeRepositoryType`
    Update the repository.
    Specified by:
      `update` in interface `RuntimeRepositoryType`
    Parameters:
      `cancelled` - A function that returns `true` if the update should be cancelled
    Throws:
      `java.lang.Exception` - On errors
      `java.util.concurrent.CancellationException` - If `cancelled` returns `true`

  - ### runtimes

    public java.util.Map<java.lang.String,​RuntimeDescription> runtimes()
    Description copied from interface: `RuntimeRepositoryType`
    Obtain a read-only map of the available runtimes in the repository.
    Specified by:
      `runtimes` in interface `RuntimeRepositoryType`
    Returns:
      The available runtimes

  - ### description

    public RuntimeRepositoryDescription description()
    Specified by:
      `description` in interface `RuntimeRepositoryType`
    Returns:
      The current repository description